Hallo, dies ist ein Test.
PWD: /www/data-lst1/unixsoft/unixsoft/kaempfer/.public_html
Running in File Mode
Relative path: ./../../.././../../../lib/svc/method/fs-local
Real path: /lib/svc/method/fs-local
Zurück
#!/usr/bin/bash # # Copyright (c) 1988, 2017, Oracle and/or its affiliates. All rights reserved. # . /lib/svc/share/smf_include.sh result=$SMF_EXIT_OK # Mount all local filesystems. # # ignore first set of errors from mountall. If it fails # we will retry it at the end of fs-local # it most likely will fail due to syntax error in # /etc/vfstab or you are trying to mount something on top # of a file system that isn't mounted yet. # cd /; /usr/sbin/mountall -l >/dev/null 2>&1 mountall_rc=$? # Mount all ZFS filesystems. Mount any shadowed file systems standby, # their source file systems are likely not available yet. if [ -x /usr/sbin/zfs ]; then /usr/sbin/zfs mount -vaS 2>&1 | tee /dev/msglog rc=${PIPESTATUS[0]} if [ $rc -ne 0 ]; then msg="WARNING: /usr/sbin/zfs mount -a failed: one or more " msg="$msg file systems failed to mount" echo $msg echo "$SMF_FMRI:" $msg >/dev/msglog result=$SMF_EXIT_ERR_FATAL fi fi if [ $mountall_rc -ne 0 ]; then cd /; /usr/sbin/mountall -l >/dev/msglog rc=$? if [ $rc -ne 0 ]; then msg="WARNING: /usr/sbin/mountall -l failed: exit status $rc" echo $msg echo "$SMF_FMRI:" $msg >/dev/msglog result=$SMF_EXIT_ERR_FATAL fi fi # # Load the keys for any zvols that may have had their keys on filesystems # that have just been mounted. # if [ -x /usr/sbin/zfs ]; then /usr/sbin/zfs key -l -t volume -a fi exit $result